<html>
<head>
<title>OGRE: Ogre::TempBlendedBufferInfo Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TempBlendedBufferInfo.html">TempBlendedBufferInfo</a></div>
<h1>Ogre::TempBlendedBufferInfo Class Reference</h1><!-- doxytag: class="Ogre::TempBlendedBufferInfo" --><!-- doxytag: inherits="Ogre::HardwareBufferLicensee" -->Structure for recording the use of temporary blend buffers.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::TempBlendedBufferInfo:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1TempBlendedBufferInfo-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#77b3f94ac8d7ff04608a5d9358ea1903">~TempBlendedBufferInfo</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#b50304382d76b0276e63fde8225d52ab">extractFrom</a> (const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *sourceData)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method, extract info from the given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>.  <a href="#b50304382d76b0276e63fde8225d52ab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#2ec4c99c82022379f78a3a3d8e09720a">checkoutTempCopies</a> (bool positions=true, bool normals=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method, checks out temporary copies of src into dest.  <a href="#2ec4c99c82022379f78a3a3d8e09720a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ab93bb33b8d69c344f6f64f965812dbb">bindTempCopies</a> (<a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *targetData, bool suppressHardwareUpload)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility method, binds dest copies into a given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> struct.  <a href="#ab93bb33b8d69c344f6f64f965812dbb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#20082709a68b75596620418aa69a172a">licenseExpired</a> (<a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *buffer)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Overridden member from <a class="el" href="classOgre_1_1HardwareBufferLicensee.html" title="Abtract interface representing a &#39;licensee&#39; of a hardware buffer copy.">HardwareBufferLicensee</a>.  <a href="#20082709a68b75596620418aa69a172a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#315c9769671710aa512f621a111334b2">buffersCheckedOut</a> (bool positions=true, bool normals=true) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Detect currently have buffer copies checked out and touch it.  <a href="#315c9769671710aa512f621a111334b2"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ba9a78063ebade2611b1b7fb86556269">srcPositionBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#04f81935036ade45ee9b27076cdbff1f">srcNormalBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#51ba46f5674027983a641c8f5919ed5a">destPositionBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#098debe872ac4c67507daf401e25727a">destNormalBuffer</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#4177ac660c67a59428bfe77c71fd1cc7">posNormalShareBuffer</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Both positions and normals are contained in the same buffer.  <a href="#4177ac660c67a59428bfe77c71fd1cc7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#204cdbf159d8375a2cca3ed58c34d317">posBindIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#0b4e2a46911fe4a6191010ec584ec744">normBindIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#e52a9468dca74ba1306c1f8d3bcf41fc">bindPositions</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#d304cea26a4e551969a63c13012cec59">bindNormals</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Structure for recording the use of temporary blend buffers. 
<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00062">62</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="77b3f94ac8d7ff04608a5d9358ea1903"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo" ref="77b3f94ac8d7ff04608a5d9358ea1903" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="b50304382d76b0276e63fde8225d52ab"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::extractFrom" ref="b50304382d76b0276e63fde8225d52ab" args="(const VertexData *sourceData)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::TempBlendedBufferInfo::extractFrom           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&nbsp;</td>
          <td class="paramname"> <em>sourceData</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method, extract info from the given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a>. 
<p>

</div>
</div><p>
<a class="anchor" name="2ec4c99c82022379f78a3a3d8e09720a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::checkoutTempCopies" ref="2ec4c99c82022379f78a3a3d8e09720a" args="(bool positions=true, bool normals=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::TempBlendedBufferInfo::checkoutTempCopies           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>positions</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>normals</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method, checks out temporary copies of src into dest. 
<p>

</div>
</div><p>
<a class="anchor" name="ab93bb33b8d69c344f6f64f965812dbb"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::bindTempCopies" ref="ab93bb33b8d69c344f6f64f965812dbb" args="(VertexData *targetData, bool suppressHardwareUpload)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::TempBlendedBufferInfo::bindTempCopies           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&nbsp;</td>
          <td class="paramname"> <em>targetData</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>suppressHardwareUpload</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Utility method, binds dest copies into a given <a class="el" href="classOgre_1_1VertexData.html" title="Summary class collecting together vertex source information.">VertexData</a> struct. 
<p>

</div>
</div><p>
<a class="anchor" name="20082709a68b75596620418aa69a172a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::licenseExpired" ref="20082709a68b75596620418aa69a172a" args="(HardwareBuffer *buffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::TempBlendedBufferInfo::licenseExpired           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1HardwareBuffer.html">HardwareBuffer</a> *&nbsp;</td>
          <td class="paramname"> <em>buffer</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Overridden member from <a class="el" href="classOgre_1_1HardwareBufferLicensee.html" title="Abtract interface representing a &#39;licensee&#39; of a hardware buffer copy.">HardwareBufferLicensee</a>. 
<p>

<p>Implements <a class="el" href="classOgre_1_1HardwareBufferLicensee.html#a5a241d6a5d4f8596affadda26555cff">Ogre::HardwareBufferLicensee</a>.</p>

</div>
</div><p>
<a class="anchor" name="315c9769671710aa512f621a111334b2"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::buffersCheckedOut" ref="315c9769671710aa512f621a111334b2" args="(bool positions=true, bool normals=true) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::TempBlendedBufferInfo::buffersCheckedOut           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>positions</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>normals</em> = <code>true</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Detect currently have buffer copies checked out and touch it. 
<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ba9a78063ebade2611b1b7fb86556269"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::srcPositionBuffer" ref="ba9a78063ebade2611b1b7fb86556269" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ba9a78063ebade2611b1b7fb86556269">Ogre::TempBlendedBufferInfo::srcPositionBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00066">66</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="04f81935036ade45ee9b27076cdbff1f"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::srcNormalBuffer" ref="04f81935036ade45ee9b27076cdbff1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#04f81935036ade45ee9b27076cdbff1f">Ogre::TempBlendedBufferInfo::srcNormalBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00067">67</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="51ba46f5674027983a641c8f5919ed5a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::destPositionBuffer" ref="51ba46f5674027983a641c8f5919ed5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#51ba46f5674027983a641c8f5919ed5a">Ogre::TempBlendedBufferInfo::destPositionBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00069">69</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="098debe872ac4c67507daf401e25727a"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::destNormalBuffer" ref="098debe872ac4c67507daf401e25727a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#098debe872ac4c67507daf401e25727a">Ogre::TempBlendedBufferInfo::destNormalBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00070">70</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4177ac660c67a59428bfe77c71fd1cc7"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::posNormalShareBuffer" ref="4177ac660c67a59428bfe77c71fd1cc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#4177ac660c67a59428bfe77c71fd1cc7">Ogre::TempBlendedBufferInfo::posNormalShareBuffer</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Both positions and normals are contained in the same buffer. 
<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00072">72</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="204cdbf159d8375a2cca3ed58c34d317"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::posBindIndex" ref="204cdbf159d8375a2cca3ed58c34d317" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#204cdbf159d8375a2cca3ed58c34d317">Ogre::TempBlendedBufferInfo::posBindIndex</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00073">73</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0b4e2a46911fe4a6191010ec584ec744"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::normBindIndex" ref="0b4e2a46911fe4a6191010ec584ec744" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned short <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#0b4e2a46911fe4a6191010ec584ec744">Ogre::TempBlendedBufferInfo::normBindIndex</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00074">74</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e52a9468dca74ba1306c1f8d3bcf41fc"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::bindPositions" ref="e52a9468dca74ba1306c1f8d3bcf41fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#e52a9468dca74ba1306c1f8d3bcf41fc">Ogre::TempBlendedBufferInfo::bindPositions</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00075">75</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d304cea26a4e551969a63c13012cec59"></a><!-- doxytag: member="Ogre::TempBlendedBufferInfo::bindNormals" ref="d304cea26a4e551969a63c13012cec59" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#d304cea26a4e551969a63c13012cec59">Ogre::TempBlendedBufferInfo::bindNormals</a><code> [private]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreHardwareBufferManager_8h-source.html#l00076">76</a> of file <a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreHardwareBufferManager_8h-source.html">OgreHardwareBufferManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:54 2008
</p>
</body>
</html>
